%define upstream_name    Modern-Perl
%define upstream_version 1.20230106

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Enable all of the features of Modern Perl with one command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Modern/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(feature)
BuildRequires: perl(mro)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jan 09 2023 tv <tv> 1.202.301.60-1.mga9
+ Revision: 1931785
- update to 1.20230106

* Tue May 17 2022 tv <tv> 1.202.205.150-1.mga9
+ Revision: 1858495
- update to 1.20220515

* Mon Mar 21 2022 umeabot <umeabot> 1.202.2.10-3.mga9
+ Revision: 1811798
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.202.2.10-2.mga8
+ Revision: 1528004
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 1.202.2.10-1.mga8
+ Revision: 1489047
- update to 1.20200201

* Mon Aug 05 2019 tv <tv> 1.201.907.270-1.mga8
+ Revision: 1427480
- update to 1.20190727

* Sat Jun 29 2019 tv <tv> 1.201.906.10-1.mga8
+ Revision: 1415959
- update to 1.20190601

* Mon Oct 22 2018 tv <tv> 1.201.810.210-1.mga7
+ Revision: 1323597
- update to 1.20181021

* Wed Oct 03 2018 tv <tv> 1.201.809.280-1.mga7
+ Revision: 1316075
- update to 1.20180928

* Thu Sep 20 2018 umeabot <umeabot> 1.201.809.10-2.mga7
+ Revision: 1284775
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 1.201.809.10-1.mga7
+ Revision: 1256561
- update to 1.20180901

* Mon Jul 02 2018 tv <tv> 1.201.807.10-1.mga7
+ Revision: 1241295
- update to 1.20180701

* Tue Oct 03 2017 tv <tv> 1.201.701.170-2.mga7
+ Revision: 1165537
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.201.701.170-1.mga7
+ Revision: 1154268
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.201.501.270-3.mga6
+ Revision: 1029907
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.201.501.270-2.mga6
+ Revision: 968418
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 1.201.501.270-1.mga6
+ Revision: 852460
- update to 1.20150127

* Sun Oct 19 2014 umeabot <umeabot> 1.201.401.70-4.mga5
+ Revision: 788891
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.201.401.70-3.mga5
+ Revision: 740425
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.201.401.70-2.mga5
+ Revision: 685409
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.201.401.70-1.mga5
+ Revision: 588488
- update to 1.20140107

* Fri Oct 18 2013 umeabot <umeabot> 1.201.211.30-3.mga4
+ Revision: 512896
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.201.211.30-2.mga3
+ Revision: 369754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.201.211.30-1.mga3
+ Revision: 315125
- update to 1.20121103

* Tue Jun 05 2012 jquelin <jquelin> 1.201.205.210-1.mga3
+ Revision: 255142
- update to 1.20120521

* Thu Feb 23 2012 jquelin <jquelin> 1.201.201.300-1.mga2
+ Revision: 213020
- update to 1.20120130

* Wed Jan 25 2012 jquelin <jquelin> 1.201.201.230-1.mga2
+ Revision: 200917
- update to 1.20120123

* Fri Jan 06 2012 jquelin <jquelin> 1.201.201.60-1.mga2
+ Revision: 192579
- update to 1.20120106

* Thu Jan 05 2012 jquelin <jquelin> 1.201.201.50-1.mga2
+ Revision: 191202
- update to 1.20120105

* Tue Jan 18 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 22625
- cleaning spec file
- imported package perl-Modern-Perl

